import 'package:diplomaticquarterapp/config/size_config.dart';
import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/buttons/defaultButton.dart';
import 'package:diplomaticquarterapp/widgets/card/rounded_container.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:diplomaticquarterapp/widgets/progress_indicator/app_circular_progress_Indeicator.dart';
import 'package:diplomaticquarterapp/widgets/text/app_texts_widget.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:diplomaticquarterapp/routes.dart';

class AddFamilyMemberType extends StatelessWidget {
  static int loginType = 0;
  @override
  Widget build(BuildContext context) {
    return AppScaffold(
        appBarTitle: TranslationBase.of(context).myFamilyFiles,
        isShowAppBar: true,
        body: Padding(
            padding: EdgeInsets.all(20),
            child: Column(
              children: <Widget>[
                Expanded(
                  flex: 6,
                  child: Column(
                      // mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      crossAxisAlignment: CrossAxisAlignment.start,
                      children: <Widget>[
                        Image.asset(
                          'assets/images/habib-logo.png',
                          height: 80,
                          width: 80,
                        ),
                        Padding(
                          padding: EdgeInsets.all(20),
                          child: AppText(
                            TranslationBase.of(context).registerInfoFamily,
                            fontSize: SizeConfig.textMultiplier * 3.5,
                            textAlign: TextAlign.left,
                          ),
                        ),
                        Padding(
                            padding: EdgeInsets.all(20),
                            child: Row(
                              mainAxisAlignment: MainAxisAlignment.center,
                              children: <Widget>[
                                Expanded(
                                    child: InkWell(
                                        onTap: () => {
                                              AddFamilyMemberType.loginType = 1,
                                              Navigator.of(context)
                                                  .pushNamed(ADD_FAMILY_MEMBER)
                                            },
                                        child: RoundedContainer(
                                            borderColor: Colors.grey,
                                            showBorder: true,
                                            child: Padding(
                                              padding: EdgeInsets.fromLTRB(
                                                  20, 10, 20, 10),
                                              child: Column(
                                                mainAxisAlignment:
                                                    MainAxisAlignment.center,
                                                children: <Widget>[
                                                  Image.asset(
                                                    'assets/images/id_card_icon.png',
                                                    height: SizeConfig
                                                            .imageSizeMultiplier *
                                                        12,
                                                    width: SizeConfig
                                                            .imageSizeMultiplier *
                                                        15,
                                                  ),
                                                  SizedBox(
                                                    height: 20,
                                                  ),
                                                  AppText(
                                                    TranslationBase.of(context)
                                                        .idNo,
                                                    fontSize: SizeConfig
                                                            .textMultiplier *
                                                        2,
                                                  )
                                                ],
                                              ),
                                            )))),
                                Expanded(
                                    child: InkWell(
                                        onTap: () => {
                                              AddFamilyMemberType.loginType = 2,
                                              Navigator.of(context)
                                                  .pushNamed(ADD_FAMILY_MEMBER)
                                            },
                                        child: RoundedContainer(
                                            borderColor: Colors.grey,
                                            showBorder: true,
                                            child: Padding(
                                              padding: EdgeInsets.fromLTRB(
                                                  25, 10, 25, 10),
                                              child: Column(
                                                children: <Widget>[
                                                  Image.asset(
                                                    'assets/images/my_file_white_icon.png',
                                                    height: SizeConfig
                                                            .imageSizeMultiplier *
                                                        12,
                                                    width: SizeConfig
                                                            .imageSizeMultiplier *
                                                        15,
                                                  ),
                                                  SizedBox(
                                                    height: 20,
                                                  ),
                                                  AppText(
                                                    TranslationBase.of(context)
                                                        .fileNo,
                                                    fontSize: SizeConfig
                                                            .textMultiplier *
                                                        2,
                                                  )
                                                ],
                                              ),
                                            ))))
                              ],
                            )),
                        Divider(
                          color: Colors.grey,
                          height: 2,
                        ),
                      ]),
                ),
                // Expanded(
                //     flex: 2,
                //     child: Column(
                //       mainAxisAlignment: MainAxisAlignment.end,
                //       children: <Widget>[
                //         Row(
                //           children: <Widget>[
                //             Expanded(
                //                 child: DefaultButton(
                //               TranslationBase.of(context).registerNow,
                //               () => {
                //                 Navigator.of(context).pushNamed(
                //                   REGISTER,
                //                 )
                //               },
                //             ))
                //           ],
                //         ),
                //       ],
                //     ))
              ],
            )));
  }
}
